Subject: [gaia] Blog on AFRINIC proposal

From: Corinne Cath <[email-masked]>
Date: Sat, 3 Jun 2017 10:16:32 +0100

Dear all,

CFR invited me to write a blog about the recent AFRINIC proposal to deny IP
addresses to governments mandating Internet shutdowns. Might be of
interest.

https://www.cfr.org/article/should-technical-actors-play-political-role-internet-age

Best,

-- 
Corinne J.N. Cath
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_Cath

---

From: Vint Cerf <[email-masked]>
Date: Sat, 3 Jun 2017 09:36:36 -0400

My reaction: politicizing IP address allocation is a mistake and could have
enormous, negative consequences including a wide range of fragmentation and
legal intimidation of the RIRs.  Advocacy is fine but withholding IP
addresses for political reasons is not wise.

v

On Sat, Jun 3, 2017 at 5:16 AM, Corinne Cath <[email-masked]> wrote:

> Dear all,
>
> CFR invited me to write a blog about the recent AFRINIC proposal to deny
> IP addresses to governments mandating Internet shutdowns. Might be of
> interest.
>
> _______________________________________________
> gaia mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/gaia
>
>

-- 
New postal address:
Google
1875 Explorer Street, 10th Floor
Reston, VA 20190

---

From: Nicolas Pace <[email-masked]>
Date: Sat, 03 Jun 2017 16:38:17 +0300

What would be your approach on this matter then? I'm curious to know

---

From: Vint Cerf <[email-masked]>
Date: Sat, 3 Jun 2017 09:41:04 -0400

I implied it: advocacy

v

On Sat, Jun 3, 2017 at 9:38 AM, Nicolas Pace <[email-masked]> wrote:

>> My reaction: politicizing IP address allocation is a mistake and could
>> have enormous, negative consequences including a wide range of
>> fragmentation and legal intimidation of the RIRs.  Advocacy is fine but
>> withholding IP addresses for political reasons is not wise.
>>
>> v
>>
>>

---

From: Nicolas Pace <[email-masked]>
Date: Sat, 03 Jun 2017 16:49:54 +0300

Thanks Vint for sharing your point of view.
If I may give my two cents, through advocacy is that, in the summit here in nayrobi the community all together wrote the proposal.

There needs to be stronger efforts to make internet less country-dependant and more resilient... But these are urgent matters. While we get to that resilient future, we need to support our communities on their decisions regarding their own problematics.

I understand that IP address may seem to be a technical thing, but governments are hijacking them into a political standpoint.

Instead of making this a specific action, I would suggest that we could work out a regulation that requires IP tenants not to shutdown connectivity as a condition to receive their ranges... Or some sort of agreement on openness.

Could it be possible, and would it be useful to tackle this issue? What do you think?

---

From: Vint Cerf <[email-masked]>
Date: Sat, 3 Jun 2017 09:57:05 -0400

the problem with this proposal is that it enters a slippery slope regarding
use of the Internet by a party that is responsible for connectivity and not
content. While the intent is laudable, it would lead to the same kinds of
messes that ICANN is discovering as a result of the semantics associated
with domain names. Before any RIR adopts such a proposal, I think there
should be some discussion among all the RIRs - and, frankly, I hope that
such efforts as this would be rejected as an overshoot of authority.

vint

On Sat, Jun 3, 2017 at 9:49 AM, Nicolas Pace <[email-masked]> wrote:

> If I may give my two cents, through advocacy is that, in the summit here
> in nayrobi the community all together wrote the proposal.
>
> There needs to be stronger efforts to make internet less country-dependant
> and more resilient... But these are urgent matters. While we get to that
> resilient future, we need to support our communities on their decisions
> regarding their own problematics.
>
> I understand that IP address may seem to be a technical thing, but
> governments are hijacking them into a political standpoint.
>
> Instead of making this a specific action, I would suggest that we could
> work out a regulation that requires IP tenants not to shutdown connectivity
> as a condition to receive their ranges... Or some sort of agreement on
> openness.
>
>>>>> CFR invited me to write a blog about the recent AFRINIC proposal to
>>>>> deny IP addresses to governments mandating Internet shutdowns. Might be of
>>>>> interest.
>>>>>

---

From: Nicolas Pace <[email-masked]>
Date: Sat, 03 Jun 2017 17:09:51 +0300

Agreed... We still have to deal (as a global community) with the urgency of governments controlling traffic shutting down connectivity. Would be interesting to be able to share an approach that, in a short or long timespan, we could walk to find solutions to this situations.
One could be cross boarder links, or border IXPs... But I'm not that versed in these things to give an opinion

On June 3, 2017 4:57:05 PM GMT+03:00, Vint Cerf <[email-masked]> wrote:
>> Could it be possible, and would it be useful to tackle this issue?
>What do
>> you think?
>>
>>
>>>>> On Sat, Jun 3, 2017 at 5:16 AM, Corinne Cath
><[email-masked]>
>>>>> wrote:
>>>>>
>>>>>> Dear all,
>>>>>>

---

From: Vint Cerf <[email-masked]>
Date: Sat, 3 Jun 2017 10:12:53 -0400

finding ways about an attempted shutdown is a good idea - see also JIGSAW
at Alphabet.

vint

On Sat, Jun 3, 2017 at 10:09 AM, Nicolas Pace <[email-masked]> wrote:

> Agreed... We still have to deal (as a global community) with the urgency
> of governments controlling traffic shutting down connectivity. Would be
> interesting to be able to share an approach that, in a short or long
> timespan, we could walk to find solutions to this situations.
> One could be cross boarder links, or border IXPs... But I'm not that
> versed in these things to give an opinion
>
>
>> the problem with this proposal is that it enters a slippery slope
>> regarding use of the Internet by a party that is responsible for
>> connectivity and not content. While the intent is laudable, it would lead
>> to the same kinds of messes that ICANN is discovering as a result of the
>> semantics associated with domain names. Before any RIR adopts such a
>> proposal, I think there should be some discussion among all the RIRs - and,
>> frankly, I hope that such efforts as this would be rejected as an overshoot
>> of authority.
>>
>> vint
>>
>>
>>> There needs to be stronger efforts to make internet less
>>> country-dependant and more resilient... But these are urgent matters. While
>>> we get to that resilient future, we need to support our communities on
>>> their decisions regarding their own problematics.
>>>
>>>>>> My reaction: politicizing IP address allocation is a mistake and
>>>>>> could have enormous, negative consequences including a wide range of

---

From: Nicolas Pace <[email-masked]>
Date: Sat, 03 Jun 2017 17:18:51 +0300

Thanks for the reference Vint.
For what I read in their website https://jigsaw.google.com
There are no proposals to strengthen crossborder links or circumventing shutdowns.
Any specific pointer?

On June 3, 2017 5:12:53 PM GMT+03:00, Vint Cerf <[email-masked]> wrote:
>What
>>>> do you think?

---

From: Vint Cerf <[email-masked]>
Date: Sat, 3 Jun 2017 10:21:14 -0400

i think the idea would be to suggest to Jared Cohen that technology along
these lines might be worth pursuing.

I can do that.

v

On Sat, Jun 3, 2017 at 10:18 AM, Nicolas Pace <[email-masked]> wrote:

>>>>> If I may give my two cents, through advocacy is that, in the summit
>>>>> here in nayrobi the community all together wrote the proposal.
>>>>>
>>>>> Instead of making this a specific action, I would suggest that we
>>>>> could work out a regulation that requires IP tenants not to shutdown
>>>>> connectivity as a condition to receive their ranges... Or some sort of
>>>>> agreement on openness.
>>>>>
>>>>> What do you think?
>>>>>>>> On Sat, Jun 3, 2017 at 5:16 AM, Corinne Cath <[email-masked]
>>>>>>>> > wrote:
>>>>>>>>
>>>>>>>>> Dear all,
>>>>>>>>>
>>>>>>>>> CFR invited me to write a blog about the recent AFRINIC proposal
>>>>>>>>> to deny IP addresses to governments mandating Internet shutdowns. Might be
>>>>>>>>> of interest.
>>>>>>>>>

---

From: Jon Crowcroft <[email-masked]>
Date: Sat, 3 Jun 2017 16:35:09 +0200

the problem with witholding a resource as a lever to try to reduce
censorship
(witholding of access to the net) is that its
a) an implicitly negative message to counter a negative message,
which takes the risk of accusations of hypocrisy
b) it risks collective punishment
i.e. hurts victims of governments' misguided policy,
as well as government agency, which is over-reach
c) the proposal is the opposite of basic internet philosophy, as per
Gilmore :
*"The Net interprets censorship as damage and routes around it."*
which means that the proposal risks undermining citizen/peer actions

intentions are good, but advocacy, support, solidarity seems like a better
road

---

From: Corinne Cath <[email-masked]>
Date: Sun, 4 Jun 2017 15:24:54 +0100

Great discussion! And I agree with much of what has been said. But that
still leaves us with the open question of what the response of AFRINIC
should be to shutdowns. I agree this proposal was problematic (as I point
out in the blog), but am interested to hear what advocacy, support, and
solidarity by AFRINIC could/should look like in the case of Internet
shutdowns.

Best,

---

From: Vint Cerf <[email-masked]>
Date: Sun, 4 Jun 2017 10:56:03 -0400

one answer is to try to quantify the economic (and reputational?) impact of
shutdown so that leaders who choose to adopt this action have a better
appreciation of the costs.

v

On Sun, Jun 4, 2017 at 10:24 AM, Corinne Cath <[email-masked]> wrote:

>> intentions are good, but advocacy, support, solidarity seems like a
>> better road
>>
>>

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 4 Jun 2017 11:43:28 -0400

> One could be cross boarder links, or border IXPs... But I'm not that versed in these things to give an opinion

A government sufficiently motivated to "shut down the Internet" will
shut down those links and IXPs too, unless they are of sufficient
density and number that the government can't go after them all.  The
"numbers" problem is actually _part_ of the problem.  (This is also,
of course, why increased concentration in "tier 1" transit providers
is dangerous for the Internet.)

But the more basic problem with the proposal as presented is that it
is attempting a tech fix to a social problem.  Governments who
intervene in this way have decided that access to the Internet by
(some subset of their) citizens is less valuable to them than control
over communications.  This pattern is the same whether it is shutdowns
by any government anywhere, or (in my opinion) less catastrophic but
more corrisive attacks such as overall weakening of cryptographic
algorithms or the hoarding of network-effective vulnerabilities.

The answer to all of that is to continue to make the Internet ever
more valuable both in its own terms and in social terms.  We want to
create the conditions in which, when governments say they're going to
"shut down" the Internet, they look absurd because they're going to do
most damage to themselves.  I want it to be as the scene in _Blazing
Saddles_: "Nobody move or the prisoner* gets it!"  That's not
advocacy, of course.  It's instead, "Everything over IP."  Still a
good slogan.

Best regards,

A

* note: not the actual word in the scene. 

-- 
Andrew Sullivan
[email-masked]

---

From: Sebastian Bellagamba <[email-masked]>
Date: Sun, 4 Jun 2017 15:58:56 +0000

I totally agree with you, Andrew. Some governments slogan is "I pee over everything" :-)

> El 4 jun. 2017, a las 12:43, Andrew Sullivan <[email-masked]> escribió:
>

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Sun, 4 Jun 2017 18:19:39 +0100

+1..

Probably the only option for encountering this is to have alternative
methods of access (e.g. the firechat during the hongkong protests) -
so that the govts know that there is no point shutting down networks..

decentralisation is a form of resiliency..

arjuna

-- 
Arjuna Sathiaseelan
Personal: http://www.cl.cam.ac.uk/~as2330/
N4D Lab: http://www.cl.cam.ac.uk/~as2330/n4d

---

From: Alejandro Acosta <[email-masked]>
Date: Sun, 4 Jun 2017 21:32:31 -0400

> so that the govts know that there is no point shutting down networks..

Ask for the BGP sessions to be taken down?

---

From: Alejandro Acosta <[email-masked]>
Date: Sun, 4 Jun 2017 21:36:41 -0400

Hello,

  In my small and personal experience the people who ask for shutting
down networks don't mind (not even a little) the economical impact (hard
to believe & sad to say it but unfortunately it's the truth).

Alejandro,

El 4/6/17 a las 10:56 a.m., Vint Cerf escribió:
> one answer is to try to quantify the economic (and reputational?)
> impact of shutdown so that leaders who choose to adopt this action
> have a better appreciation of the costs.
>
> v
>
>
> On Sun, Jun 4, 2017 at 10:24 AM, Corinne Cath <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Great discussion! And I agree with much of what has been said. But
>     that still leaves us with the open question of what the response
>     of AFRINIC should be to shutdowns. I agree this proposal was
>     problematic (as I point out in the blog), but am interested to
>     hear what advocacy, support, and solidarity by AFRINIC
>     could/should look like in the case of Internet shutdowns.
>
>     Best, 
>
>     On Sat, Jun 3, 2017 at 3:35 PM, Jon Crowcroft
>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
>
>         /
>         /
>         the problem with witholding a resource as a lever to try to
>         reduce censorship 
>         c) the proposal is the opposite of basic internet philosophy,
>         as per Gilmore :
>         /"The Net interprets censorship as damage and routes around it."/
>         intentions are good, but advocacy, support, solidarity seems
>         like a better road
>         /
>         /
>
>         On Sat, Jun 3, 2017 at 3:49 PM, Nicolas Pace <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>             If I may give my two cents, through advocacy is that, in
>             the summit here in nayrobi the community all together
>             wrote the proposal.
>
>             country-dependant and more resilient... But these are
>             urgent matters. While we get to that resilient future, we
>             need to support our communities on their decisions
>             I understand that IP address may seem to be a technical
>             thing, but governments are hijacking them into a political
>             standpoint.
>
>             Instead of making this a specific action, I would suggest
>             that we could work out a regulation that requires IP
>             tenants not to shutdown connectivity as a condition to
>             receive their ranges... Or some sort of agreement on openness.
>
>             On June 3, 2017 4:41:04 PM GMT+03:00, Vint Cerf
>             <[email-masked] <mailto:[email-masked]>> wrote:
>
>                 I implied it: advocacy 
>
>                 v
>
>
>                 On Sat, Jun 3, 2017 at 9:38 AM, Nicolas Pace
>                 <[email-masked] <mailto:[email-masked]>> wrote:
>
>                     On June 3, 2017 4:36:36 PM GMT+03:00, Vint Cerf
>                     <[email-masked] <mailto:[email-masked]>> wrote:
>
>                         enormous, negative consequences including a
>                         wide range of fragmentation and legal
>                         intimidation of the RIRs.  Advocacy is fine
>                         but withholding IP addresses for political
>                         reasons is not wise.
>
>                         v
>
>
>                         <[email-masked]
>                         <mailto:[email-masked]>> wrote:
>
>                             Dear all,
>
>                             addresses to governments mandating
>                             Internet shutdowns. Might be of interest. 
>
>                             <https://www.cfr.org/article/should-technical-actors-play-political-role-internet-age>
>
>                             Best, 
>
>                             -- 
>                             Corinne J.N. Cath
>                             <http://www.oii.ox.ac.uk/people/corinne-cath>
>                             Email: [email-masked]
>                             <mailto:[email-masked]> &
>                             [email-masked]
>                             <mailto:[email-masked]>
>                             Twitter: @C_Cath
>
>                             [email-masked] <mailto:[email-masked]>
>                             <https://www.irtf.org/mailman/listinfo/gaia>
>
>
>
>
>                         -- 
>                         New postal address:
>                         Google
>             [email-masked] <mailto:[email-masked]>
>             <https://www.irtf.org/mailman/listinfo/gaia>
>
>
>
>
>
>     -- 
>     Corinne J.N. Cath
>     <http://www.oii.ox.ac.uk/people/corinne-cath>
>     Email: [email-masked] <mailto:[email-masked]> &
>     [email-masked] <mailto:[email-masked]>
>     Twitter: @C_Cath
>
>
>
>
> -- 
> New postal address:
> Google

---

From: Amreesh Phokeer <[email-masked]>
Date: Mon, 5 Jun 2017 09:21:36 +0200

I think the first and foremost aim of the authors of the policy was to send
a strong message to governments..."if you shut us down, we (AFRINIC
community) can also shut you (governments) down. But of course this is
completely flawed as much as the intent of the policy is laudable. Whenever
you concentrate power in the hands of a central authority, there is always
a potential for abuse.

Of course, as suggested, advocacy, education, solidarity are better
routes....but those are a long walk to freedom. I think, we as a global
community, should work on technologies that would make censorship,
surveillance and Internet shutdown extremely hard to operate and true
decentralization might be one of them.

--
Amreesh

On Mon, Jun 5, 2017 at 3:36 AM, Alejandro Acosta <
[email-masked]> wrote:

> Hello,
>
>   In my small and personal experience the people who ask for shutting down
> networks don't mind (not even a little) the economical impact (hard to
> believe & sad to say it but unfortunately it's the truth).
>
> Alejandro,
>
> one answer is to try to quantify the economic (and reputational?) impact
> of shutdown so that leaders who choose to adopt this action have a better
>> On Sat, Jun 3, 2017 at 3:35 PM, Jon Crowcroft <[email-masked]
>> > wrote:
>>
>>>
> gaia mailing [email-masked]://www.irtf.org/mailman/listinfo/gaia
>
>
>

-- 
Amreesh Phokeer

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Mon, 5 Jun 2017 08:24:55 +0100

decentralisation and wider adoption of new internet architectures with
wider edge centric deployments, enabling an ecosystem of local content
generation etc are good technical routes imho.

On 5 June 2017 at 08:21, Amreesh Phokeer <[email-masked]> wrote:

> I think the first and foremost aim of the authors of the policy was to
> send a strong message to governments..."if you shut us down, we (AFRINIC
>> down networks don't mind (not even a little) the economical impact (hard to
>>> On Sat, Jun 3, 2017 at 3:35 PM, Jon Crowcroft <
>>> [email-masked]> wrote:
>>>
>>>>

---

From: Mallory Knodel <[email-masked]>
Date: Mon, 5 Jun 2017 11:35:00 +0300

On 04/06/17 06:43 PM, Andrew Sullivan wrote:
> is attempting a tech fix to a social problem.

It's the governments who shut down the internet who are using tech to
fix social problems. Furthermore withholding IPs is not a technical
solution to the shutdowns-- the shutdowns could still happen.
Withholding them is a form of high-pressure advocacy.

So really, this is advocacy to fix a tech problem that was introduced to
fix a social problem.

Corinne's post does an excellent job of breaking down the issue and
asking the real question, which is does the proposal put at further risk
internet access for users who are already struggling with connectivity.

-Mallory

-- 
Mallory Knodel
May First/People Link :: mayfirst.org
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9  B071 0C32 A271 BD3C C780

---

From: Maureen Hernandez <[email-masked]>
Date: Mon, 5 Jun 2017 16:17:25 -0500

I agree on all the opinions expressed here, this is not a one answer (or
easy answer) topic... my main concern is that when we think something like
this

"The answer to all of that is to continue to make the Internet ever
more valuable both in its own terms and in social terms.  We want to
create the conditions in which, when governments say they're going to
"shut down" the Internet, they look absurd because they're going to do
most damage to themselves."

we may not be taking into account that this government don't care about
what they look or their "reputation" given the fact that the shutdown in
the first place is not a very popular act.

On the other hand, I totally agree that the solution is not to about
"politicising
IP address allocation" I think what is wrong here is that we are looking
for answers without asking the right questions. In my humble opinion I feel
heartbroken when I see governments using the Internet as a weapon instead
of as a tool, sadly the time has come when political organisations have
realised what lies on the Internet, therefore I think what we really need
to ask is what can we do to try to stop this from keep happening?

Are we, as a technical community, gonna keep working pretending this is not
happening? trying to connect the next billion to "an" Internet that will
depend on the desire of their government rulers?

I don't know what we can or should do, but with all the respect, I do think
we should do more!

-- 

Maureen Patricia Hernández González
Systems Engineer. Universidad de Los Andes.

<https://ve.linkedin.com/in/maureenhernandez>
<https://twitter.com/maureenhg>  <https://www.facebook.com/maureen.hg>

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 5 Jun 2017 17:43:45 -0400

> the first place is not a very popular act.

I think I didn't make plain the point I was trying to make, which is
that there comes a time when persuasion doesn't work and you have to
let people (in this case politicians) hurt themselves.  The more
important we make Internet connectivity, the worse this gets.  There
still _are_ governments who will shut off the power to various
citizens in an effort to control the population, after all.

> depend on the desire of their government rulers?

I don't think anyone is pretending that.  

We cannot, of course, do anything to correct the most foolish power
abuses in any country.  (If we had illusions about that, I should hope
the last decade has provided appropriate corrections, in every part of
the world.)  What we can do is make it (technically) hard for people
to interrupt the Internet, and make such interruptions (politically)
untenable.  Neither of those paths entails threatening sovereign
governments.  But they might, both of them, involve pursuing even
harder the work of this RG.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Marwan Fayed <[email-masked]>
Date: Tue, 6 Jun 2017 18:46:15 +0100

Hi Corinne, All-

A bit late, this, but I promised to forward on behalf of a colleague who 
is off-list, but has some direct experience. There's some valid points, 
some that are re-presentations of others' comments. Might be worthwhile. 
See below.

Be well,
--marwan

"Hi Marwan, I’m not on the GAIA list, thanks for forwarding it to me. 
Please forward my response if you think it is of interest.

AfriNIC's proposal as described by the CFR article [1] does indeed seem 
like a very bad idea. In conflict zones — those countries likely to turn 
off the network when it suits are likely to be involved in conflict 
internally or with their neighbours — communication, in whatever medium, 
is the single most important thing to bring about the end of the 
conflict.  Trying to "punish" one of the belligerents by making it more 
difficult for everyone to communicate is misguided and just makes the 
situation worse. In addition to those actually in the conflict, 
technical measures to restrict communication will primarily harm regular 
people who are mainly concerned with keeping their lives afloat in 
sometimes chaotic circumstances. Some communication is better than none.

Furthermore, where the conflict is internal, it is due to inequality of 
some kind, normally having to do with land or wealth or power. Denying 
technical resources to the country means increasing scarcity. Those who 
already have the advantage of wealth and power will better be able to 
control the now artificially scarce resource, increases inequality, and 
exacerbates the causes of the conflict. That’s the opposite of the 
intended effect.

Of course governments controlling access to communications 
infrastructure in order to stifle dissent is objectionable. But this 
policy is misguided, and it is worrying to see a NIC suggesting 
political actions like this. They should be neutral and above politics, 
custodians and managers of a shared resource for humanity, not arbiters 
of human behaviour.

Best wishes,
William Waites
Edinburgh (ex-N’Djamena)

[1] 
https://www.cfr.org/article/should-technical-actors-play-political-role-internet-age"

-- 
Marwan Fayed
Computing Science & Math
University of Stirling
Stirling, UK FK9 4LA
+44(0)1786 46 7454

---

From: Adam Burns <[email-masked]>
Date: Tue, 6 Jun 2017 22:26:47 +0200

+1 your +1 :)

Promoting communication diversity at the edges as well as flows around
national pinch points are not only continuous technical challenges but
also issues of education, publicity & advocacy.